Skip to navigation

Export a template document

Exports a template document.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

idstringRequired
Template id.

Response

Exported representation of the template.
_idstringformat: "^[0-9a-f]{24}$"
Unique identifier of the automation
namestring>=1 character
commandstring>=1 character
templatestring>=1 character
typeenum
Allowed values:
projectIdstring or nullOptionalformat: "^[0-9a-fA-F]{24}$"
groupstringOptional>=1 character
devicestringOptional>=1 character
descriptionstringOptional>=1 character
datastringOptional>=1 character
textstringOptional>=1 character
createdBystringOptionalformat: "^[0-9a-f]{24}$"
Unique identifier of the automation
createdstringOptionalformat: "date-time"
lastModifiedBystringOptionalformat: "^[0-9a-f]{24}$"
Unique identifier of the automation
lastUpdatedstringOptionalformat: "date-time"
versiondoubleOptional>=1
tagslist of objectsOptional

Errors

500
Internal Server Error